## hb-version hb-version |

## Functions

#define | HB_VERSION_ATLEAST()
void | hb_version ()
hb_bool_t | hb_version_atleast ()
const char * | hb_version_string ()

## Types and Values

#define | HB_VERSION_MAJOR
#define | HB_VERSION_MICRO
#define | HB_VERSION_MINOR
#define | HB_VERSION_STRING

## Description

## Functions

### HB_VERSION_ATLEAST()

    #define             HB_VERSION_ATLEAST(major,minor,micro)

### hb_version ()

    void
    hb_version (unsigned int *major,
                unsigned int *minor,
                unsigned int *micro);

Returns library version as three integer components.

#### Parameters

major | Library major version component. | [out]
minor | Library minor version component. | [out]
micro | Library micro version component. | [out]

Since: 0.9.2

### hb_version_atleast ()

    hb_bool_t
    hb_version_atleast (unsigned int major,
                        unsigned int minor,
                        unsigned int micro);

Since: 0.9.30

### hb_version_string ()

    const char *
    hb_version_string (void);

Returns library version as a string with three components.

#### Returns

library version string.

Since: 0.9.2

## Types and Values

### HB_VERSION_MAJOR

    #define HB_VERSION_MAJOR 1

### HB_VERSION_MICRO

    #define HB_VERSION_MICRO 4

### HB_VERSION_MINOR

    #define HB_VERSION_MINOR 4

### HB_VERSION_STRING

    #define HB_VERSION_STRING "1.4.4"